<?php

// načtení XML dokumentu do paměti do DOM stromu
$doc = new DOMDocument();
$doc->load("../data/faktura.xml"); 

// pomocné proměnné
$suma = 0;
$sumaDPH = 0;

foreach ($doc->getElementsByTagName("cena") as $cena)
{
  $suma += $cena->textContent;
  $sumaDPH += $cena->textContent * $cena->getAttribute("dph") / 100;
}

// vypsání výsledku
echo "<pre>\n";
echo "Celkem: " . number_format($suma, 2, ",", ".") . "\n";
echo "DPH:    " . number_format($sumaDPH, 2, ",", ".");
echo "</pre>\n";

?>
