<?php
Header("Content-type: application/xml");

// načtení prvního XML dokumentu do paměti do DOM stromu
$doc1 = DOMDocument::LoadXML("<a><b>B</b><c>C</c></a>");

// načtení druhého XML dokumentu do paměti do DOM stromu
$doc2 = DOMDocument::LoadXML("<x><y>Y</y><z>Z</z></x>");

// uzel, na který chceme napojit uzly z druhého dokumentu
$a = $doc1->documentElement;

// celý kořenový element druhého dokumentu včetně jeho potomků 
// zkopírujeme pro použití v prvním dokumentu
$x = $doc1->importNode($doc2->documentElement, true);

// připojení naimportovaného uzlu do stromu
$a->appendChild($x);

// zobrazení DOM stromu po provedení úprav
echo $doc1->saveXML();
?>