<?php
Header("Content-type: application/xml");

// načtení XML dokumentu do paměti do DOM stromu
$doc = new DOMDocument();
$doc->load("../data/stranka2.xhtml", LIBXML_NOENT|LIBXML_DTDLOAD|LIBXML_DTDATTR); 

// průchod všemi elementy
foreach ($doc->getElementsByTagName("*") as $element)
{
  // pokud má element atribut name, uděláme z něj atribut id
  if ($element->hasAttribute("name"))
  {
    // do atributu id dáme hodnotu z atributu name
    $element->setAttribute("id", $element->getAttribute("name"));
    // atribut name odstraníme
    $element->removeAttribute("name");
  }
}

// zmodifikované XML pošleme zpět do prohlížeče
echo $doc->saveXML();

?>