<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Možnosti čtení z různých zdrojů dat</title>
  </head>
  <body>
<?php 

// načtení XML z řetězce
$xml = simplexml_load_string("<dokument><nazev>Rozvaha</nazev><autor>Jan Číslíčko</autor></dokument>");
echo $xml->autor, "<br>\n";

// načtení XML ze souboru
$xml = simplexml_load_file("../data/faktura.xml");
echo $xml->odberatel->nazev, "<br>\n";

// načtení XML z HTTP serveru
$xml = simplexml_load_file("http://docbook.cz/rss.rdf");
echo $xml->channel->title, "<br>\n";;

// načtení XML ze skomprimovaného souboru
$xml = simplexml_load_file("compress.zlib://../data/soustava.svgz");
echo $xml->title, "<br>\n";

// načtení XML ze skomprimovaného souboru přes web server
$xml = simplexml_load_file("compress.zlib://http://localhost/data/soustava.svgz");
echo $xml->title, "<br>\n";

?>
  </body>
</html>