<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.01//EN'>
<html lang="cs">
  <head>
    <meta http-equiv="content-type" content="text/html;charset=utf-8">
    <title>Ukázka použití XPathu v SimpleXML</title>
  </head>
  <body>
<?php 

// načtení dokumentu XML
$xml = simplexml_load_file("../data/faktura.xml", "SimpleXMLElement", 
                           LIBXML_NOENT|LIBXML_DTDLOAD|LIBXML_DTDATTR);

// vypsání všech položek
foreach ($xml->xpath("//polozka") as $polozka)
{
  echo $polozka->popis, " - ", $polozka->cena, "<br>\n";
}

// vypsání jména odběratele
$a = $xml->xpath("/faktura/odberatel/nazev");
echo "Odběratel: ", $a[0], "<br>\n";

// vypsání jména odběratele
echo "Odběratel: ", array_pop($xml->xpath("/faktura/odberatel/nazev")), "<br>\n";

// ukázka práce se jmennými prostory
$xml = simplexml_load_file("../data/soustava.svg");
$xml->registerXPathNamespace("svg", "http://www.w3.org/2000/svg");

echo "Název diagramu: ", array_pop($xml->xpath("/svg:svg/svg:title"));

?>
  </body>
</html>