<?php

// data požadavku, která chceme službě poslat
$postdata = "<Osoba>
  <Jmeno>Pepa</Jmeno>
  <Vaha>80</Vaha>
  <Vyska>180</Vyska>
</Osoba>";

// parametry požadavku HTTP
$param = array('http' =>
  array(
    'method'  => 'POST',
    'header'  => 'Content-type: application/xml',
    'content' => $postdata
  )
);

// vytvoření kontextu pro vstupně/výstupní proudy
$context  = stream_context_create($param);

// zaslání HTTP POST požadavku a načtení výsledných dat do proměnné
$vysledek = file_get_contents('http://localhost/ws/rest-bmi-service.php', false, $context);

// načtení výsledku jako XML
$xml = simplexml_load_string($vysledek);

// vypsání obsahu kořenového elementu
echo "Pepovo BMI je " . $xml;

?>