<?php

Header("Content-type: text/html;charset=utf-8");

// načtení dokumentu XML
$doc = DOMDocument::load("../data/amazon.xml"); 

// vytvoření objektu pro vyhodnocování dotazů XPath
$xpath = new DOMXPath($doc);

// zaregistrování prefixu a pro jmenný prostor použitý v dokumentu
$xpath->registerNamespace("a", "http://webservices.amazon.com/AWSECommerceService/2005-01-19");

// vyběr všech názvů položek
$alba = $xpath->query("/a:ItemSearchResponse/a:Items/a:Item/a:ItemAttributes/a:Title");

echo "<b>Alba Chicka Corey:</b><br>\n";

foreach ($alba as $album)
{
  echo $album->textContent, "<br>\n";
}

?>