<?php
Header("Content-type: application/xml");

// načtení třídy pro snadný průchod stromem DOM
require "NodeIterator.php";

// načtení dokumentu XML do paměti do stromu DOM
$doc = new DOMDocument();
$doc->load("../data/faktura.xml"); 

// průchod všemi textovými uzly
foreach(new NodeIterator($doc->documentElement, XML_SHOW_TEXT) as $text)
{
  // zajímají nás pouze uzly, které obsahují znak konce řádku
  if ($pos = strpos($text->nodeValue, "\n") !== false)
  {
    // text za \n dáme do nového uzlu
    $zbytekTextu = $text->splitText($pos);
    // vytvoříme si nový element <br>
    $br = $doc->createElement("br");
    // přípojíme <br> před nově vzniklý textový uzel
    $text->parentNode->insertBefore($br, $zbytekTextu);
  }
}

// upravený dokument XML pošleme do prohlížeče
echo $doc->saveXML();

?>
