<?xml version="1.0" encoding="utf-8"?>
<schema xmlns="http://www.ascc.net/xml/schematron">
  <title>Ukázka pokročilé validace objednávky</title>
  <ns uri="urn:x-eshop:document-schemas:purchase-order" prefix="o"/>
  <pattern name="Datum doručení je správně">
    <rule context="o:objednávka">
      <assert test="number(translate(o:doručení,'-','')) > number(translate(o:přijata,'-',''))">Datum doručení musí být větší
        než datum přijetí objednávky.</assert>
    </rule>
  </pattern>
  <pattern name="Produkt je v číselníku">
    <rule context="o:položka">
      <assert test="@kód = document('sklad.xml')/sklad/produkt/kod">Objednaný produkt (kód: <value-of select="@kód"/>) není na skladě.</assert>
    </rule>
  </pattern>
</schema>