<?php

// vytvoření objektu pro obsluhu požadavku
$server = new SoapServer("bmi-service.wsdl", array('soap_version' => SOAP_1_2));

// zaregistrování třídy, která definuje metody pro jednotlivé operace
$server->setClass('BMI');

// obsloužení SOAP požadavku
$server->handle();

// pomocná třída definující obsluhu jednotlivých operací webové služby
class BMI
{
  public function SpocitejBMI($Input)
  {
    return number_format($Input->Vaha / pow($Input->Vyska / 100, 2), 2);
  }
}

?>